#ifndef VECTOR_H
#define VECTOR_H

const int DefaultElementCount = 3;

class Vector
{
public:
     Vector( unsigned int eleCount );
     Vector();
     Vector( const Vector &other );
    ~Vector();

    Vector operator *( double rhs );

    double &operator []( unsigned int index );
    double  operator []( unsigned int index ) const;

    unsigned int getElementCount() const;

protected:
     double *elements;
     unsigned int elementCount;
};

#endif // VECTOR_H
